published on Thursday, Mar 19, 2026 by Pulumi
published on Thursday, Mar 19, 2026 by Pulumi
This data source provides the list of Exadata Insights in Oracle Cloud Infrastructure Opsi service.
Gets a list of Exadata insights based on the query parameters specified. Either compartmentId or id query parameter must be specified. When both compartmentId and compartmentIdInSubtree are specified, a list of Exadata insights in that compartment and in all sub-compartments will be returned.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testExadataInsights = oci.Opsi.getExadataInsights({
compartmentId: compartmentId,
compartmentIdInSubtree: exadataInsightCompartmentIdInSubtree,
enterpriseManagerBridgeId: testEnterpriseManagerBridge.id,
exadataTypes: exadataInsightExadataType,
id: exadataInsightId,
states: exadataInsightState,
statuses: exadataInsightStatus,
});
import pulumi
import pulumi_oci as oci
test_exadata_insights = oci.Opsi.get_exadata_insights(compartment_id=compartment_id,
compartment_id_in_subtree=exadata_insight_compartment_id_in_subtree,
enterprise_manager_bridge_id=test_enterprise_manager_bridge["id"],
exadata_types=exadata_insight_exadata_type,
id=exadata_insight_id,
states=exadata_insight_state,
statuses=exadata_insight_status)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/opsi"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := opsi.GetExadataInsights(ctx, &opsi.GetExadataInsightsArgs{
CompartmentId: pulumi.StringRef(compartmentId),
CompartmentIdInSubtree: pulumi.BoolRef(exadataInsightCompartmentIdInSubtree),
EnterpriseManagerBridgeId: pulumi.StringRef(testEnterpriseManagerBridge.Id),
ExadataTypes: exadataInsightExadataType,
Id: pulumi.StringRef(exadataInsightId),
States: exadataInsightState,
Statuses: exadataInsightStatus,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testExadataInsights = Oci.Opsi.GetExadataInsights.Invoke(new()
{
CompartmentId = compartmentId,
CompartmentIdInSubtree = exadataInsightCompartmentIdInSubtree,
EnterpriseManagerBridgeId = testEnterpriseManagerBridge.Id,
ExadataTypes = exadataInsightExadataType,
Id = exadataInsightId,
States = exadataInsightState,
Statuses = exadataInsightStatus,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Opsi.OpsiFunctions;
import com.pulumi.oci.Opsi.inputs.GetExadataInsightsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testExadataInsights = OpsiFunctions.getExadataInsights(GetExadataInsightsArgs.builder()
.compartmentId(compartmentId)
.compartmentIdInSubtree(exadataInsightCompartmentIdInSubtree)
.enterpriseManagerBridgeId(testEnterpriseManagerBridge.id())
.exadataTypes(exadataInsightExadataType)
.id(exadataInsightId)
.states(exadataInsightState)
.statuses(exadataInsightStatus)
.build());
}
}
variables:
testExadataInsights:
fn::invoke:
function: oci:Opsi:getExadataInsights
arguments:
compartmentId: ${compartmentId}
compartmentIdInSubtree: ${exadataInsightCompartmentIdInSubtree}
enterpriseManagerBridgeId: ${testEnterpriseManagerBridge.id}
exadataTypes: ${exadataInsightExadataType}
id: ${exadataInsightId}
states: ${exadataInsightState}
statuses: ${exadataInsightStatus}
Using getExadataInsights
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getExadataInsights(args: GetExadataInsightsArgs, opts?: InvokeOptions): Promise<GetExadataInsightsResult>
function getExadataInsightsOutput(args: GetExadataInsightsOutputArgs, opts?: InvokeOptions): Output<GetExadataInsightsResult>def get_exadata_insights(compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
enterprise_manager_bridge_id: Optional[str] = None,
exadata_types: Optional[Sequence[str]] = None,
filters: Optional[Sequence[GetExadataInsightsFilter]] = None,
id: Optional[str] = None,
states: Optional[Sequence[str]] = None,
statuses: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetExadataInsightsResult
def get_exadata_insights_output(compartment_id: Optional[pulumi.Input[str]] = None,
compartment_id_in_subtree: Optional[pulumi.Input[bool]] = None,
enterprise_manager_bridge_id: Optional[pulumi.Input[str]] = None,
exadata_types: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetExadataInsightsFilterArgs]]]] = None,
id: Optional[pulumi.Input[str]] = None,
states: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
statuses: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetExadataInsightsResult]func GetExadataInsights(ctx *Context, args *GetExadataInsightsArgs, opts ...InvokeOption) (*GetExadataInsightsResult, error)
func GetExadataInsightsOutput(ctx *Context, args *GetExadataInsightsOutputArgs, opts ...InvokeOption) GetExadataInsightsResultOutput> Note: This function is named GetExadataInsights in the Go SDK.
public static class GetExadataInsights
{
public static Task<GetExadataInsightsResult> InvokeAsync(GetExadataInsightsArgs args, InvokeOptions? opts = null)
public static Output<GetExadataInsightsResult> Invoke(GetExadataInsightsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetExadataInsightsResult> getExadataInsights(GetExadataInsightsArgs args, InvokeOptions options)
public static Output<GetExadataInsightsResult> getExadataInsights(GetExadataInsightsArgs args, InvokeOptions options)
fn::invoke:
function: oci:Opsi/getExadataInsights:getExadataInsights
arguments:
# arguments dictionaryThe following arguments are supported:
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Exadata
Types List<string> - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Filters
List<Get
Exadata Insights Filter> - Id string
- Optional list of Exadata insight resource OCIDs.
- States List<string>
- Lifecycle states
- Statuses List<string>
- Resource Status
- Compartment
Id string - The OCID of the compartment.
- Compartment
Id boolIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Exadata
Types []string - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Filters
[]Get
Exadata Insights Filter - Id string
- Optional list of Exadata insight resource OCIDs.
- States []string
- Lifecycle states
- Statuses []string
- Resource Status
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Types List<String> - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- filters
List<Get
Exadata Insights Filter> - id String
- Optional list of Exadata insight resource OCIDs.
- states List<String>
- Lifecycle states
- statuses List<String>
- Resource Status
- compartment
Id string - The OCID of the compartment.
- compartment
Id booleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Types string[] - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- filters
Get
Exadata Insights Filter[] - id string
- Optional list of Exadata insight resource OCIDs.
- states string[]
- Lifecycle states
- statuses string[]
- Resource Status
- compartment_
id str - The OCID of the compartment.
- compartment_
id_ boolin_ subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise_
manager_ strbridge_ id - Unique Enterprise Manager bridge identifier
- exadata_
types Sequence[str] - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- filters
Sequence[Get
Exadata Insights Filter] - id str
- Optional list of Exadata insight resource OCIDs.
- states Sequence[str]
- Lifecycle states
- statuses Sequence[str]
- Resource Status
- compartment
Id String - The OCID of the compartment.
- compartment
Id BooleanIn Subtree - A flag to search all resources within a given compartment and all sub-compartments.
- enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- exadata
Types List<String> - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- filters List<Property Map>
- id String
- Optional list of Exadata insight resource OCIDs.
- states List<String>
- Lifecycle states
- statuses List<String>
- Resource Status
getExadataInsights Result
The following output properties are available:
- Exadata
Insight List<GetSummary Collections Exadata Insights Exadata Insight Summary Collection> - The list of exadata_insight_summary_collection.
- Compartment
Id string - Compartment identifier of the Exadata insight resource
- Compartment
Id boolIn Subtree - Enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- Exadata
Types List<string> - Operations Insights internal representation of the the Exadata system type.
- Filters
List<Get
Exadata Insights Filter> - Id string
- Exadata insight identifier
- States List<string>
- The current state of the Exadata insight.
- Statuses List<string>
- Indicates the status of an Exadata insight in Operations Insights
- Exadata
Insight []GetSummary Collections Exadata Insights Exadata Insight Summary Collection - The list of exadata_insight_summary_collection.
- Compartment
Id string - Compartment identifier of the Exadata insight resource
- Compartment
Id boolIn Subtree - Enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- Exadata
Types []string - Operations Insights internal representation of the the Exadata system type.
- Filters
[]Get
Exadata Insights Filter - Id string
- Exadata insight identifier
- States []string
- The current state of the Exadata insight.
- Statuses []string
- Indicates the status of an Exadata insight in Operations Insights
- exadata
Insight List<GetSummary Collections Exadata Insights Exadata Insight Summary Collection> - The list of exadata_insight_summary_collection.
- compartment
Id String - Compartment identifier of the Exadata insight resource
- compartment
Id BooleanIn Subtree - enterprise
Manager StringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Types List<String> - Operations Insights internal representation of the the Exadata system type.
- filters
List<Get
Exadata Insights Filter> - id String
- Exadata insight identifier
- states List<String>
- The current state of the Exadata insight.
- statuses List<String>
- Indicates the status of an Exadata insight in Operations Insights
- exadata
Insight GetSummary Collections Exadata Insights Exadata Insight Summary Collection[] - The list of exadata_insight_summary_collection.
- compartment
Id string - Compartment identifier of the Exadata insight resource
- compartment
Id booleanIn Subtree - enterprise
Manager stringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Types string[] - Operations Insights internal representation of the the Exadata system type.
- filters
Get
Exadata Insights Filter[] - id string
- Exadata insight identifier
- states string[]
- The current state of the Exadata insight.
- statuses string[]
- Indicates the status of an Exadata insight in Operations Insights
- exadata_
insight_ Sequence[Getsummary_ collections Exadata Insights Exadata Insight Summary Collection] - The list of exadata_insight_summary_collection.
- compartment_
id str - Compartment identifier of the Exadata insight resource
- compartment_
id_ boolin_ subtree - enterprise_
manager_ strbridge_ id - OPSI Enterprise Manager Bridge OCID
- exadata_
types Sequence[str] - Operations Insights internal representation of the the Exadata system type.
- filters
Sequence[Get
Exadata Insights Filter] - id str
- Exadata insight identifier
- states Sequence[str]
- The current state of the Exadata insight.
- statuses Sequence[str]
- Indicates the status of an Exadata insight in Operations Insights
- exadata
Insight List<Property Map>Summary Collections - The list of exadata_insight_summary_collection.
- compartment
Id String - Compartment identifier of the Exadata insight resource
- compartment
Id BooleanIn Subtree - enterprise
Manager StringBridge Id - OPSI Enterprise Manager Bridge OCID
- exadata
Types List<String> - Operations Insights internal representation of the the Exadata system type.
- filters List<Property Map>
- id String
- Exadata insight identifier
- states List<String>
- The current state of the Exadata insight.
- statuses List<String>
- Indicates the status of an Exadata insight in Operations Insights
Supporting Types
GetExadataInsightsExadataInsightSummaryCollection
GetExadataInsightsExadataInsightSummaryCollectionItem
- Chargeback
Plan List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Chargeback Plan Detail> - Object containing chargeback plan details
- Compartment
Id string - The OCID of the compartment.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- Enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- Enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- Enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- Enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- Entity
Source string - Source of the Exadata system.
- Exadata
Display stringName - The user-friendly name for the Exadata system. The name does not have to be unique.
- Exadata
Infra stringId - The OCID of the Exadata Infrastructure.
- Exadata
Infra stringResource Type - Oracle Cloud Infrastructure exadata infrastructure resource type
- Exadata
Name string - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- Exadata
Rack stringType - Exadata rack type.
- Exadata
Shape string - The shape of the Exadata Infrastructure.
- Exadata
Type string - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Dictionary<string, string>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Id string
- Optional list of Exadata insight resource OCIDs.
- Is
Auto boolSync Enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- Is
Virtualized boolExadata - true if virtualization is used in the Exadata system
- Lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- Member
Vm List<GetCluster Details Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail> - State string
- Lifecycle states
- Status string
- Resource Status
- Status
Details string - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- Time
Updated string - The time the Exadata insight was updated. An RFC3339 formatted datetime string
- Chargeback
Plan []GetDetails Exadata Insights Exadata Insight Summary Collection Item Chargeback Plan Detail - Object containing chargeback plan details
- Compartment
Id string - The OCID of the compartment.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- Enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- Enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- Enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- Enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- Enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- Entity
Source string - Source of the Exadata system.
- Exadata
Display stringName - The user-friendly name for the Exadata system. The name does not have to be unique.
- Exadata
Infra stringId - The OCID of the Exadata Infrastructure.
- Exadata
Infra stringResource Type - Oracle Cloud Infrastructure exadata infrastructure resource type
- Exadata
Name string - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- Exadata
Rack stringType - Exadata rack type.
- Exadata
Shape string - The shape of the Exadata Infrastructure.
- Exadata
Type string - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- map[string]string
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Id string
- Optional list of Exadata insight resource OCIDs.
- Is
Auto boolSync Enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- Is
Virtualized boolExadata - true if virtualization is used in the Exadata system
- Lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- Member
Vm []GetCluster Details Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail - State string
- Lifecycle states
- Status string
- Resource Status
- Status
Details string - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- Time
Updated string - The time the Exadata insight was updated. An RFC3339 formatted datetime string
- chargeback
Plan List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Chargeback Plan Detail> - Object containing chargeback plan details
- compartment
Id String - The OCID of the compartment.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager StringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager StringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager StringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager StringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager StringIdentifier - Enterprise Manager Unique Identifier
- entity
Source String - Source of the Exadata system.
- exadata
Display StringName - The user-friendly name for the Exadata system. The name does not have to be unique.
- exadata
Infra StringId - The OCID of the Exadata Infrastructure.
- exadata
Infra StringResource Type - Oracle Cloud Infrastructure exadata infrastructure resource type
- exadata
Name String - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- exadata
Rack StringType - Exadata rack type.
- exadata
Shape String - The shape of the Exadata Infrastructure.
- exadata
Type String - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Map<String,String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id String
- Optional list of Exadata insight resource OCIDs.
- is
Auto BooleanSync Enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- is
Virtualized BooleanExadata - true if virtualization is used in the Exadata system
- lifecycle
Details String - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- member
Vm List<GetCluster Details Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail> - state String
- Lifecycle states
- status String
- Resource Status
- status
Details String - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- time
Updated String - The time the Exadata insight was updated. An RFC3339 formatted datetime string
- chargeback
Plan GetDetails Exadata Insights Exadata Insight Summary Collection Item Chargeback Plan Detail[] - Object containing chargeback plan details
- compartment
Id string - The OCID of the compartment.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager stringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager stringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager stringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager stringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager stringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager stringIdentifier - Enterprise Manager Unique Identifier
- entity
Source string - Source of the Exadata system.
- exadata
Display stringName - The user-friendly name for the Exadata system. The name does not have to be unique.
- exadata
Infra stringId - The OCID of the Exadata Infrastructure.
- exadata
Infra stringResource Type - Oracle Cloud Infrastructure exadata infrastructure resource type
- exadata
Name string - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- exadata
Rack stringType - Exadata rack type.
- exadata
Shape string - The shape of the Exadata Infrastructure.
- exadata
Type string - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- {[key: string]: string}
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id string
- Optional list of Exadata insight resource OCIDs.
- is
Auto booleanSync Enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- is
Virtualized booleanExadata - true if virtualization is used in the Exadata system
- lifecycle
Details string - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- member
Vm GetCluster Details Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail[] - state string
- Lifecycle states
- status string
- Resource Status
- status
Details string - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created string - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- time
Updated string - The time the Exadata insight was updated. An RFC3339 formatted datetime string
- chargeback_
plan_ Sequence[Getdetails Exadata Insights Exadata Insight Summary Collection Item Chargeback Plan Detail] - Object containing chargeback plan details
- compartment_
id str - The OCID of the compartment.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise_
manager_ strbridge_ id - Unique Enterprise Manager bridge identifier
- enterprise_
manager_ strentity_ display_ name - Enterprise Manager Entity Display Name
- enterprise_
manager_ strentity_ identifier - Enterprise Manager Entity Unique Identifier
- enterprise_
manager_ strentity_ name - Enterprise Manager Entity Name
- enterprise_
manager_ strentity_ type - Enterprise Manager Entity Type
- enterprise_
manager_ stridentifier - Enterprise Manager Unique Identifier
- entity_
source str - Source of the Exadata system.
- exadata_
display_ strname - The user-friendly name for the Exadata system. The name does not have to be unique.
- exadata_
infra_ strid - The OCID of the Exadata Infrastructure.
- exadata_
infra_ strresource_ type - Oracle Cloud Infrastructure exadata infrastructure resource type
- exadata_
name str - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- exadata_
rack_ strtype - Exadata rack type.
- exadata_
shape str - The shape of the Exadata Infrastructure.
- exadata_
type str - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Mapping[str, str]
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id str
- Optional list of Exadata insight resource OCIDs.
- is_
auto_ boolsync_ enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- is_
virtualized_ boolexadata - true if virtualization is used in the Exadata system
- lifecycle_
details str - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- member_
vm_ Sequence[Getcluster_ details Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail] - state str
- Lifecycle states
- status str
- Resource Status
- status_
details str - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time_
created str - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- time_
updated str - The time the Exadata insight was updated. An RFC3339 formatted datetime string
- chargeback
Plan List<Property Map>Details - Object containing chargeback plan details
- compartment
Id String - The OCID of the compartment.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - enterprise
Manager StringBridge Id - Unique Enterprise Manager bridge identifier
- enterprise
Manager StringEntity Display Name - Enterprise Manager Entity Display Name
- enterprise
Manager StringEntity Identifier - Enterprise Manager Entity Unique Identifier
- enterprise
Manager StringEntity Name - Enterprise Manager Entity Name
- enterprise
Manager StringEntity Type - Enterprise Manager Entity Type
- enterprise
Manager StringIdentifier - Enterprise Manager Unique Identifier
- entity
Source String - Source of the Exadata system.
- exadata
Display StringName - The user-friendly name for the Exadata system. The name does not have to be unique.
- exadata
Infra StringId - The OCID of the Exadata Infrastructure.
- exadata
Infra StringResource Type - Oracle Cloud Infrastructure exadata infrastructure resource type
- exadata
Name String - The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
- exadata
Rack StringType - Exadata rack type.
- exadata
Shape String - The shape of the Exadata Infrastructure.
- exadata
Type String - Filter by one or more Exadata types. Possible value are DBMACHINE, EXACS, and EXACC.
- Map<String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id String
- Optional list of Exadata insight resource OCIDs.
- is
Auto BooleanSync Enabled - Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight. This should be always set true when using terraform, when it is set to false member associations may be missing from the application.
- is
Virtualized BooleanExadata - true if virtualization is used in the Exadata system
- lifecycle
Details String - A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
- member
Vm List<Property Map>Cluster Details - state String
- Lifecycle states
- status String
- Resource Status
- status
Details String - A message describing the status of the Exadata Resource. For example, it can be used to provide actionable information about the policies needed to access the Exadata Resource.
- Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the the Exadata insight was first enabled. An RFC3339 formatted datetime string
- time
Updated String - The time the Exadata insight was updated. An RFC3339 formatted datetime string
GetExadataInsightsExadataInsightSummaryCollectionItemChargebackPlanDetail
- Plan
Id string - OCID of OPSI Chargeback plan resource.
- Plan
Type string - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- Time
Enabled string - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
- Plan
Id string - OCID of OPSI Chargeback plan resource.
- Plan
Type string - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- Time
Enabled string - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
- plan
Id String - OCID of OPSI Chargeback plan resource.
- plan
Type String - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- time
Enabled String - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
- plan
Id string - OCID of OPSI Chargeback plan resource.
- plan
Type string - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- time
Enabled string - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
- plan_
id str - OCID of OPSI Chargeback plan resource.
- plan_
type str - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- time_
enabled str - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
- plan
Id String - OCID of OPSI Chargeback plan resource.
- plan
Type String - Chargeback Plan type of the chargeback entity. For an Exadata it can be WEIGHTED_ALLOCATION, EQUAL_ALLOCATION, UNUSED_ALLOCATION.
- time
Enabled String - The date and time the chargeback plan was enabled on the resource, in the format defined by RFC3339.
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetail
- Compartment
Id string - The OCID of the compartment.
- Dbm
Private stringEndpoint Id - Member
Autonomous List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail> - Member
Database List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail> - Opsi
Private stringEndpoint Id - Vm
Cluster stringType - Vmcluster
Id string
- Compartment
Id string - The OCID of the compartment.
- Dbm
Private stringEndpoint Id - Member
Autonomous []GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail - Member
Database []GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail - Opsi
Private stringEndpoint Id - Vm
Cluster stringType - Vmcluster
Id string
- compartment
Id String - The OCID of the compartment.
- dbm
Private StringEndpoint Id - member
Autonomous List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail> - member
Database List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail> - opsi
Private StringEndpoint Id - vm
Cluster StringType - vmcluster
Id String
- compartment
Id string - The OCID of the compartment.
- dbm
Private stringEndpoint Id - member
Autonomous GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail[] - member
Database GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail[] - opsi
Private stringEndpoint Id - vm
Cluster stringType - vmcluster
Id string
- compartment_
id str - The OCID of the compartment.
- dbm_
private_ strendpoint_ id - member_
autonomous_ Sequence[Getdetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail] - member_
database_ Sequence[Getdetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail] - opsi_
private_ strendpoint_ id - vm_
cluster_ strtype - vmcluster_
id str
- compartment
Id String - The OCID of the compartment.
- dbm
Private StringEndpoint Id - member
Autonomous List<Property Map>Details - member
Database List<Property Map>Details - opsi
Private StringEndpoint Id - vm
Cluster StringType - vmcluster
Id String
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberAutonomousDetail
- Compartment
Id string - The OCID of the compartment.
- Connection
Credential List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Credential Detail> - Connection
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Detail> - Credential
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Credential Detail> - Database
Id string - Database
Resource stringType - Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Type string - Entity
Source string - Source of the Exadata system.
- Dictionary<string, string>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Is
Advanced boolFeatures Enabled - Management
Agent stringId - Opsi
Private stringEndpoint Id - Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- Compartment
Id string - The OCID of the compartment.
- Connection
Credential []GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Credential Detail - Connection
Details []GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Detail - Credential
Details []GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Credential Detail - Database
Id string - Database
Resource stringType - map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Type string - Entity
Source string - Source of the Exadata system.
- map[string]string
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Is
Advanced boolFeatures Enabled - Management
Agent stringId - Opsi
Private stringEndpoint Id - map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id String - The OCID of the compartment.
- connection
Credential List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Credential Detail> - connection
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Detail> - credential
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Credential Detail> - database
Id String - database
Resource StringType - Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type String - entity
Source String - Source of the Exadata system.
- Map<String,String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - is
Advanced BooleanFeatures Enabled - management
Agent StringId - opsi
Private StringEndpoint Id - Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id string - The OCID of the compartment.
- connection
Credential GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Credential Detail[] - connection
Details GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Detail[] - credential
Details GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Credential Detail[] - database
Id string - database
Resource stringType - {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type string - entity
Source string - Source of the Exadata system.
- {[key: string]: string}
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - is
Advanced booleanFeatures Enabled - management
Agent stringId - opsi
Private stringEndpoint Id - {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment_
id str - The OCID of the compartment.
- connection_
credential_ Sequence[Getdetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Credential Detail] - connection_
details Sequence[GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Connection Detail] - credential_
details Sequence[GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Autonomous Detail Credential Detail] - database_
id str - database_
resource_ strtype - Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment_
type str - entity_
source str - Source of the Exadata system.
- Mapping[str, str]
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - is_
advanced_ boolfeatures_ enabled - management_
agent_ strid - opsi_
private_ strendpoint_ id - Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id String - The OCID of the compartment.
- connection
Credential List<Property Map>Details - connection
Details List<Property Map> - credential
Details List<Property Map> - database
Id String - database
Resource StringType - Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type String - entity
Source String - Source of the Exadata system.
- Map<String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - is
Advanced BooleanFeatures Enabled - management
Agent StringId - opsi
Private StringEndpoint Id - Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberAutonomousDetailConnectionCredentialDetail
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
- credential
Source stringName - credential
Type string - named
Credential stringId - password
Secret stringId - role string
- user
Name string - wallet
Secret stringId
- credential_
source_ strname - credential_
type str - named_
credential_ strid - password_
secret_ strid - role str
- user_
name str - wallet_
secret_ strid
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberAutonomousDetailConnectionDetail
- Host
Name string - Port int
- Protocol string
- Service
Name string
- Host
Name string - Port int
- Protocol string
- Service
Name string
- host
Name String - port Integer
- protocol String
- service
Name String
- host
Name string - port number
- protocol string
- service
Name string
- host_
name str - port int
- protocol str
- service_
name str
- host
Name String - port Number
- protocol String
- service
Name String
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberAutonomousDetailCredentialDetail
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
- credential
Source stringName - credential
Type string - named
Credential stringId - password
Secret stringId - role string
- user
Name string - wallet
Secret stringId
- credential_
source_ strname - credential_
type str - named_
credential_ strid - password_
secret_ strid - role str
- user_
name str - wallet_
secret_ strid
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberDatabaseDetail
- Compartment
Id string - The OCID of the compartment.
- Connection
Credential List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Credential Detail> - Connection
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Detail> - Credential
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Credential Detail> - Database
Id string - Database
Resource stringType - Dbm
Private stringEndpoint Id - Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Type string - Entity
Source string - Source of the Exadata system.
- Dictionary<string, string>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Management
Agent stringId - Opsi
Private stringEndpoint Id - Service
Name string - Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- Compartment
Id string - The OCID of the compartment.
- Connection
Credential []GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Credential Detail - Connection
Details []GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Detail - Credential
Details []GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Credential Detail - Database
Id string - Database
Resource stringType - Dbm
Private stringEndpoint Id - map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Deployment
Type string - Entity
Source string - Source of the Exadata system.
- map[string]string
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Management
Agent stringId - Opsi
Private stringEndpoint Id - Service
Name string - map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id String - The OCID of the compartment.
- connection
Credential List<GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Credential Detail> - connection
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Detail> - credential
Details List<GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Credential Detail> - database
Id String - database
Resource StringType - dbm
Private StringEndpoint Id - Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type String - entity
Source String - Source of the Exadata system.
- Map<String,String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - management
Agent StringId - opsi
Private StringEndpoint Id - service
Name String - Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id string - The OCID of the compartment.
- connection
Credential GetDetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Credential Detail[] - connection
Details GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Detail[] - credential
Details GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Credential Detail[] - database
Id string - database
Resource stringType - dbm
Private stringEndpoint Id - {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type string - entity
Source string - Source of the Exadata system.
- {[key: string]: string}
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - management
Agent stringId - opsi
Private stringEndpoint Id - service
Name string - {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment_
id str - The OCID of the compartment.
- connection_
credential_ Sequence[Getdetails Exadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Credential Detail] - connection_
details Sequence[GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Connection Detail] - credential_
details Sequence[GetExadata Insights Exadata Insight Summary Collection Item Member Vm Cluster Detail Member Database Detail Credential Detail] - database_
id str - database_
resource_ strtype - dbm_
private_ strendpoint_ id - Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment_
type str - entity_
source str - Source of the Exadata system.
- Mapping[str, str]
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - management_
agent_ strid - opsi_
private_ strendpoint_ id - service_
name str - Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
- compartment
Id String - The OCID of the compartment.
- connection
Credential List<Property Map>Details - connection
Details List<Property Map> - credential
Details List<Property Map> - database
Id String - database
Resource StringType - dbm
Private StringEndpoint Id - Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - deployment
Type String - entity
Source String - Source of the Exadata system.
- Map<String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - management
Agent StringId - opsi
Private StringEndpoint Id - service
Name String - Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"}
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberDatabaseDetailConnectionCredentialDetail
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
- credential
Source stringName - credential
Type string - named
Credential stringId - password
Secret stringId - role string
- user
Name string - wallet
Secret stringId
- credential_
source_ strname - credential_
type str - named_
credential_ strid - password_
secret_ strid - role str
- user_
name str - wallet_
secret_ strid
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberDatabaseDetailConnectionDetail
- host
Name String - hosts List<Property Map>
- port Number
- protocol String
- service
Name String
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberDatabaseDetailConnectionDetailHost
GetExadataInsightsExadataInsightSummaryCollectionItemMemberVmClusterDetailMemberDatabaseDetailCredentialDetail
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- Credential
Source stringName - Credential
Type string - Named
Credential stringId - Password
Secret stringId - Role string
- User
Name string - Wallet
Secret stringId
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
- credential
Source stringName - credential
Type string - named
Credential stringId - password
Secret stringId - role string
- user
Name string - wallet
Secret stringId
- credential_
source_ strname - credential_
type str - named_
credential_ strid - password_
secret_ strid - role str
- user_
name str - wallet_
secret_ strid
- credential
Source StringName - credential
Type String - named
Credential StringId - password
Secret StringId - role String
- user
Name String - wallet
Secret StringId
GetExadataInsightsFilter
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Thursday, Mar 19, 2026 by Pulumi
